Eclipse Remote Application Platform

## org.eclipse.rap.rwt.service
Interface IResourceManager

All Known Subinterfaces:
  ResourceManager

Deprecated. Use `ResourceManager` instead

    @Deprecated
    public interface IResourceManager

Since:
  2.0

Method Summary
`java.lang.String` `getLocation(java.lang.String name)` Deprecated. Use `ResourceManager` instead of `IResourceManager`
`java.io.InputStream` `getRegisteredContent(java.lang.String name)` Deprecated. Use `ResourceManager` instead of `IResourceManager`
`boolean` `isRegistered(java.lang.String name)` Deprecated. Use `ResourceManager` instead of `IResourceManager`
`void` `register(java.lang.String name, java.io.InputStream inputStream)` Deprecated. Use `ResourceManager` instead of `IResourceManager`
`boolean` `unregister(java.lang.String name)` Deprecated. Use `ResourceManager` instead of `IResourceManager`

Method Detail

### register

    void register(java.lang.String name,
                  java.io.InputStream inputStream)

  Deprecated. Use `ResourceManager` instead of `IResourceManager`

### unregister

    boolean unregister(java.lang.String name)

  Deprecated. Use `ResourceManager` instead of `IResourceManager`

### isRegistered

    boolean isRegistered(java.lang.String name)

  Deprecated. Use `ResourceManager` instead of `IResourceManager`

### getLocation

    java.lang.String getLocation(java.lang.String name)

  Deprecated. Use `ResourceManager` instead of `IResourceManager`

### getRegisteredContent

    java.io.InputStream getRegisteredContent(java.lang.String name)

  Deprecated. Use `ResourceManager` instead of `IResourceManager`

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2014. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0